Package org.astrogrid.samp.web

# Interface CredentialPresenter.Presentation

Enclosing interface:
  `CredentialPresenter`

public static interface CredentialPresenter.Presentation
Aggregates credential information to be presented to the user.

## Method Summary

Modifier and Type
Method
Description
`Map`
`getAuthEntries()`
Returns an ordered map of String->String entries containing name, value pairs.
`Object[]`
`getAuthLines()`
Returns an array of "message" objects providing additional information for the user.

## Method Details

### getAuthEntries

Map getAuthEntries()
Returns an ordered map of String->String entries containing name, value pairs.

Returns:
  map with ordered entries

### getAuthLines

Object[] getAuthLines()
Returns an array of "message" objects providing additional information for the user.

If the supplied identity information looks OK, then returning an empty array is a good idea. But if there is some kind of inconsistency or cause for alarm, a sequence of GUI elements may be returned.

The return value is suitable for use as the `msg` argument of one of `JOptionPane`'s methods.

Returns:
  message array describing the applicant to the user
See Also:
  - `JOptionPane`